﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.EmbeddableEditors;
using Infragistics.Win.UltraWinToolTip;

namespace WindowsFormsApplication685
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 5; i++)
            {
                ultraDataSource1.Rows.Add(new object[] { "Some text "+i+"Some text "+i+"Some text "+i });
            }

            grdRow.MouseEnterElement += new Infragistics.Win.UIElementEventHandler(grdRow_MouseEnterElement);
        }

        int oldPoint;
        UltraToolTipInfo info = new UltraToolTipInfo();
        void grdRow_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is RowCellAreaUIElement)
            {
                if (oldPoint > MousePosition.Y)
                {
                    if (((RowCellAreaUIElement)e.Element).Row.Index == 0)
                    {
                        info.ToolTipText = grdRow.Rows[0].Cells["QuickNote"].Value.ToString();
                    } else info.ToolTipText = grdRow.Rows[((RowCellAreaUIElement)e.Element).Row.Index-1].Cells["QuickNote"].Value.ToString();
                }
                else
                {
                    info.ToolTipText = grdRow.Rows[((RowCellAreaUIElement)e.Element).Row.Index].Cells["QuickNote"].Value.ToString();
                }
                    oldPoint = MousePosition.Y;
            }

            if (e.Element is RichTextEditAreaUIElement)
            {
                ultraToolTipManager1.SetUltraToolTip(grdRow, info);
                ultraToolTipManager1.ShowToolTip(grdRow);
            }
            else ultraToolTipManager1.HideToolTip();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            UltraGridColumn ultra = grdRow.DisplayLayout.Bands[0].Columns["QuickNote"];
            Infragistics.Win.EmbeddableEditors.RichTextEditor a = new Infragistics.Win.EmbeddableEditors.RichTextEditor();
            ultra.Editor = new Infragistics.Win.EmbeddableEditors.RichTextEditor();
        }
    }
}
